-- my custom locale file - more streamlined than AceLocale and no lib dependency

-- To help with missing translations please go here:
-- http://www.wowace.com/addons/skada_friendlyfire/localization/

local addonName, vars = ...
local Ld, La = {}, {}
local locale = GAME_LOCALE or GetLocale()

vars.L = setmetatable({},{
    __index = function(t, s) return La[s] or Ld[s] or rawget(t,s) or s end
})

Ld["Friendly Fire"] = "Friendly Fire"
Ld["List of damaging spells"] = "List of damaging spells"
Ld["List of players damaged"] = "List of players damaged"
Ld["spells"] = "spells"
Ld["targets"] = "targets"


if locale == "frFR" then do end
-- La["Friendly Fire"] = ""
-- La["List of damaging spells"] = ""
-- La["List of players damaged"] = ""
-- La["spells"] = ""
-- La["targets"] = ""

elseif locale == "deDE" then do end
-- La["Friendly Fire"] = ""
-- La["List of damaging spells"] = ""
-- La["List of players damaged"] = ""
-- La["spells"] = ""
-- La["targets"] = ""

elseif locale == "koKR" then do end
-- La["Friendly Fire"] = ""
-- La["List of damaging spells"] = ""
-- La["List of players damaged"] = ""
-- La["spells"] = ""
-- La["targets"] = ""

elseif locale == "esMX" then do end
-- La["Friendly Fire"] = ""
-- La["List of damaging spells"] = ""
-- La["List of players damaged"] = ""
-- La["spells"] = ""
-- La["targets"] = ""

elseif locale == "ruRU" then do end
La["Friendly Fire"] = "Урон от дружественных игроков" -- Needs review
La["List of damaging spells"] = "Список заклинаний, которые нанесли урон" -- Needs review
La["List of players damaged"] = "Список поврежденных игроков" -- Needs review
La["spells"] = "Заклинания" -- Needs review
La["targets"] = "Цели" -- Needs review

elseif locale == "zhCN" then do end
La["Friendly Fire"] = "队友误伤" -- Needs review
La["List of damaging spells"] = "伤害法术列表" -- Needs review
La["List of players damaged"] = "伤害玩家列表" -- Needs review
La["spells"] = "法术" -- Needs review
La["targets"] = "目标" -- Needs review

elseif locale == "esES" then do end
-- La["Friendly Fire"] = ""
-- La["List of damaging spells"] = ""
-- La["List of players damaged"] = ""
-- La["spells"] = ""
-- La["targets"] = ""

elseif locale == "zhTW" then do end
La["Friendly Fire"] = "隊友誤傷"
La["List of damaging spells"] = "傷害法術列表"
La["List of players damaged"] = "傷害玩家列表"
La["spells"] = "法術"
La["targets"] = "目標"

elseif locale == "ptBR" then do end
-- La["Friendly Fire"] = ""
-- La["List of damaging spells"] = ""
-- La["List of players damaged"] = ""
-- La["spells"] = ""
-- La["targets"] = ""

elseif locale == "itIT" then do end
-- La["Friendly Fire"] = ""
-- La["List of damaging spells"] = ""
-- La["List of players damaged"] = ""
-- La["spells"] = ""
-- La["targets"] = ""

end
